%define		kdeappsver	21.12.0
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		klickety
Summary:	klickety
Name:		ka5-%{kaname}
Version:	21.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	f9a5fecdba7e87683164328502d277e8
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-libkdegames-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Klickety is a simple, yet challenging color matching game modeled
after once famous game of SameGame.The idea behind Klickety is to
completely clear the game board filled with the multicolored marbles.

%description -l pl.UTF-8
Klickety to prosta, ale wymagająca gra, wzororowana na słynnej grze
SameGame. Celem gry jest całkowite wyczyszczenie planszy wypełnionej
wielobrawnymi gałkami.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/klickety
%{_desktopdir}/org.kde.klickety.desktop
%{_desktopdir}/org.kde.ksame.desktop
%{_iconsdir}/hicolor/128x128/apps/klickety.png
%{_iconsdir}/hicolor/128x128/apps/ksame.png
%{_iconsdir}/hicolor/16x16/apps/klickety.png
%{_iconsdir}/hicolor/16x16/apps/ksame.png
%{_iconsdir}/hicolor/22x22/apps/klickety.png
%{_iconsdir}/hicolor/22x22/apps/ksame.png
%{_iconsdir}/hicolor/32x32/apps/klickety.png
%{_iconsdir}/hicolor/32x32/apps/ksame.png
%{_iconsdir}/hicolor/48x48/apps/klickety.png
%{_iconsdir}/hicolor/48x48/apps/ksame.png
%{_iconsdir}/hicolor/64x64/apps/klickety.png
%{_iconsdir}/hicolor/64x64/apps/ksame.png
%attr(755,root,root) %{_datadir}/kconf_update/klickety-2.0-inherit-ksame-highscore.pl
%{_datadir}/kconf_update/klickety.upd
%{_datadir}/klickety
%{_datadir}/metainfo/org.kde.klickety.appdata.xml
%{_datadir}/metainfo/org.kde.ksame.appdata.xml
%{_datadir}/sounds/klickety
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-klickety.git;a=log;h=master

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c5cff57
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cad2209
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 40a80c7
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c964609
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4d5ff02
- updated to 21.08.0

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 03063b4
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8abd4c2
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d0a669c
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f4e4d6d
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0640816
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 21f2cd7
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 94fb7f6
- updated to 19.04.1
- packaged docs
- macro kframever

* Sat Jan 12 2019 Witold Filipczyk <witekfl@poczta.onet.pl> fcafcc3
- updated to 18.12.1; ninja

* Thu Jan 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 79cef7f
- chmod for update script

* Fri Jan 04 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 7503f0b
- updated to 18.12.0

